calculatePosteriorAvg {XDE} | R Documentation

## Calculate the posterior average for indicators of concordant and discordant differential expression

### Description

This function calculates the posterior average for indicators of concordant and discordant differential expression from the saved log files. See details.

### Usage

    calculatePosteriorAvg(object, NCONC=2, NDIFF=1)

### Arguments

`object` | Object of class `XdeMcmc`
`NCONC` | Integer: number of studies for which the gene must be differentially expressed (in the same direction) to be classified as concordant differential expression
`NDIFF` | Integer: number of studies for which a gene must be up- or down-regulated to be classified as differentially expressed. It is the union of concordant and discordant differential expression.

### Details

For each iteration,

1. calculate the sign of delta * Delta

2. For each gene, compute the number of positive signs (P) and the number of negative signs (N) (a G x 2 matrix, where G is the number of genes in common)

3. for a given gene, the discordant indicator is simply when P * N is nonzero.

4. The concordant indicator requires P * N = 0 AND P + N >= NCONC, where NCONC is specified by the user.

5. differential expression is simply | P | + | N | >= NDIFF. By default, NDIFF is 1 but can be user-specified.

The posterior average is then computed from the mean over all MCMC iterations.

### Value

A G x 3 matrix.

### Author(s)

RS

### See Also

`posteriorAvg`

[Package XDE version 1.2.0 Index]